/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontractsignature.entity;

import java.util.Date;
import java.util.List;

import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;
import com.jeeplus.modules.workcontractinfo.entity.WorkContractInfo;

/**
 * 合同签章Entity
 * @author ssrh
 * @version 2018-10-26
 */
public class WorkContractSignature extends ActEntity<WorkContractSignature> {
	
	private static final long serialVersionUID = 1L;
	private String contractInfoId;		// 合同主键
	private String processInstanceId;		// 流程id
	private String instruction;		// 说明
	private String status;		// 审核状态
	private String companyId;		// 所属公司
	private String officeId;		// 所属部门
	private String officeName;
	private String type;		// 签章类型
	private Date beginCreateDate;		// 开始 创建时间
	private Date endCreateDate;		// 结束 创建时间
	private WorkContractInfo workContractInfo;		// 合同
	private List<WorkClientAttachment> workAttachments = Lists.newArrayList();

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}

	private String home;
	public List<WorkClientAttachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public WorkContractInfo getWorkContractInfo() {
		return workContractInfo;
	}

	public void setWorkContractInfo(WorkContractInfo workContractInfo) {
		this.workContractInfo = workContractInfo;
	}

	public WorkContractSignature() {
		super();
	}

	public WorkContractSignature(String id){
		super(id);
	}

	@ExcelField(title="合同主键", align=2, sort=7)
	public String getContractInfoId() {
		return contractInfoId;
	}

	public void setContractInfoId(String contractInfoId) {
		this.contractInfoId = contractInfoId;
	}
	
	@ExcelField(title="流程id", align=2, sort=8)
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
	@ExcelField(title="说明", align=2, sort=9)
	public String getInstruction() {
		return instruction;
	}

	public void setInstruction(String instruction) {
		this.instruction = instruction;
	}
	
	@ExcelField(title="审核状态", align=2, sort=10)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="所属公司", align=2, sort=11)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="所属部门", align=2, sort=12)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="签章类型", align=2, sort=13)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	public Date getBeginCreateDate() {
		return beginCreateDate;
	}

	public void setBeginCreateDate(Date beginCreateDate) {
		this.beginCreateDate = beginCreateDate;
	}
	
	public Date getEndCreateDate() {
		return endCreateDate;
	}

	public void setEndCreateDate(Date endCreateDate) {
		this.endCreateDate = endCreateDate;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}
}